headphones on laptop don't mute laptop speakers on Toshiba A120-237

Bug #115637 reported by sjs889 on 2007-05-19
244
This bug affects 27 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Karmic by nocturne
Nominated for Lucid by nocturne

Bug Description

My headphones do not mute my laptop speakers

Kernel: 2.6.20-15-generic
SSID: 1179:0500

Daniel T Chen (crimsun) on 2007-06-20
Changed in alsa-driver:
assignee: nobody → ubuntu-audio
importance: Undecided → Low
status: Unconfirmed → Needs Info
Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible on a Gutsy Tribe 2 desktop CD?

Manoel B H Carvalho (manoelhc) wrote :

The same thing with my toshiba a135-4477 - Ubuntu 7.04 x64.
The front-mic seems work, but it wasn´t able to record with "Sound Recorder" and wasn´t works with skype.

Rachid Ouattara (ouattchidi) wrote :

Hi,
I can confirm this ,I have a Toshiba A200 with feisty installed. With feisty there is no sound so I did compile the laatest version of ALSA and it worked . But now using the headphones doesn't mute the speakers and I have no option to do that . I suppose Gusty is using this driver so it would be nice to have it fixed before the release.

Best regards

ps: don't hesitate to contact me for further information .

urho (vonturha) wrote :

i just got toshiba satellite A200, installed gutsy tribe 6 and noticed that when plugged headphones speakers won't mute, also sound setting wheel front of machine don't work.

urho (vonturha) wrote :

Linux ubuntu 2.6.22-13-generic #1 SMP Thu Oct 4 17:18:44 GMT 2007 i686 GNU/Linux

still same problem, it's pretty annoying when you really can't listen music with your headphones in public places because you just can't get your speakers muted

:(

urho (vonturha) wrote :

fixed by adding following line:

options snd-hda-intel position_fix=1 model=lenovo

in /etc/modprobe.d/alsa-base

now internal speakers go mute when jack in headphones. Toshiba satellite a200

rah003 (rah-atlas) wrote :

Hi,
same problem on asus v1s,
Linux ubuntu 2.6.24-3-generic #1 SMP Thu Jan 3 23:30:29 UTC 2008 i686 GNU/Linux
suggested fix: adding
options snd-hda-intel position_fix=1 model=asus-dig
in /etc/modprobe.d/alsa-base
doesn't fix the issue (tried also model=lenovo and z71v suggested elsewhere, but still no luck)

Manoel B H Carvalho (manoelhc) wrote :

My headphone output not work no 8.04. In 7.10 working, but speakers wasn't mute.

Joe (j-b-shirk) wrote :

I had headphone jack working in 7.10. Upgraded to 8.04 today. Everything works very nicely but headphone jack does not have output and does not mute the internal speakers. Satellite A135 s4457. I hesitate to use older advice that fixed the bug in gutsy.

Colin82 (colincrowley) wrote :

I have a Satellite A135-S4427 running 8.04 Hardy.
Got the headphones working by adding:
options snd-hda-intel model=auto

Internal speakers still do not mute when headphones are plugged in though.
options snd-hda-intel model=3stack does the same at "model=auto", as does
options snd-hda-intel position_fix=1 model=auto

Anyone found a fix to this yet?

Daniel T Chen (crimsun) wrote :

Is this symptom still reproducible in an 8.10 alpha 6 desktop image?

Adrian (ruewan) wrote :

I have a Toshiba A205-4777 my speakers mute when I plug in the headphones. If the headphones are already plugged in when the machine boots it does not recognise that they are in and I have to plug them out and put them back in to mute the speakers this was the case in 8.04 and is still the case in 8.10.

future30 (future30) wrote :

fixed by adding following line:
options snd-hda-intel position_fix=1 model=lenovo
in /etc/modprobe.d/alsa-base
now internal speakers go mute when jack in headphones. Toshiba satellite a200
(https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/115637/comments/10)
(https://wiki.ubuntu.com/LaptopTestingTeam/ToshibaSatelliteA200-130)

future30 (future30) wrote :

it is old bug

Changed in linux:
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
assignee: Ubuntu Audio Team (ubuntu-audio) → nobody
Mackenzie Morgan (maco.m) wrote :

Cleaning up the bug description by moving relevant info to attachments.

description: updated
Mackenzie Morgan (maco.m) wrote :
Apreche (apreche) wrote :

I just tested 9.10 beta CD on my Fujitsu P7230. The speakers did not mute when I connected headphones. Audio came out of both outputs simultaneously.

Apreche (apreche) wrote :

$ lspci -nv | grep -A1 0403
00:1b.0 0403: 8086:27d8 (rev 02)
 Subsystem: 10cf:13b4

On Fri, Oct 16, 2009 at 11:40 AM, Apreche <email address hidden> wrote:
> 00:1b.0 0403: 8086:27d8 (rev 02)
>        Subsystem: 10cf:13b4

Insufficient -- please attach your /proc/asound/card*/codec*

inversus (inversus) wrote :

On Fri, Oct 16, 2009 at 4:54 PM, Daniel T Chen <email address hidden>wrote:

> On Fri, Oct 16, 2009 at 11:40 AM, Apreche <email address hidden>
> wrote:
> > 00:1b.0 0403: 8086:27d8 (rev 02)
> > Subsystem: 10cf:13b4
>
> Insufficient -- please attach your /proc/asound/card*/codec*
>
> --
> headphones on laptop don't mute laptop speakers on Toshiba A120-237
> https://bugs.launchpad.net/bugs/115637
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Vitaliy Pomazyonkov (vitorg) wrote :

This bug affects me too. Using Panasonic CF-Y7 laptop.
lspci -nv | grep -A1 0403
00:1b.0 0403: 8086:284b (rev 03)
 Subsystem: 10f7:8338

Changed in linux (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Confirmed
LProf (lprofne) wrote :

This bug affects me too. DELL Vostro 1015
aplay -l
**** Список PLAYBACK устройств ****
карта 0: Intel [HDA Intel], устройство 0: HDA Generic [HDA Generic]
  Подустройства: 1/1
  Подустройство №0: subdevice #0

cat /proc/asound/card0/codec#* | grep Codec
Codec: Conexant ID 5067

Daniel T Chen (crimsun) wrote :

@LProf Please install linux-backports-modules-alsa-karmic if you're using
9.10

On Nov 5, 2009 10:31 PM, "LProf" <email address hidden> wrote:

This bug affects me too. DELL Vostro 1015
aplay -l
**** Список PLAYBACK устройств ****
карта 0: Intel [HDA Intel], устройство 0: HDA Generic [HDA Generic]
 Подустройства: 1/1
 Подустройство №0: subdevice #0

cat /proc/asound/card0/codec#* | grep Codec
Codec: Conexant ID 5067

-- headphones on laptop don't mute laptop speakers on Toshiba A120-237
https://bugs.launchpad.net/...

LProf (lprofne) wrote :

@Daniel T Chen
It did not help, and wi-fi stopped working

I have installed linux-backports-modules-alsa-karmic and it didn't do
anything that I can see. I tried installing the newest alsa drivers and even
old alsa drivers but alas I got nothing , maybe this will work for you
though
http://aldeby.org/blog/index.php/how-to-update-alsa-to-latest-version-easily.htmlgood
luck.

Thanks
Peter

On Fri, Nov 6, 2009 at 8:08 AM, LProf <email address hidden> wrote:

> @Daniel T Chen
> It did not help, and wi-fi stopped working
>
> --
> headphones on laptop don't mute laptop speakers on Toshiba A120-237
> https://bugs.launchpad.net/bugs/115637
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> My headphones do not mute my laptop speakers
>
> Kernel: 2.6.20-15-generic
> SSID: 1179:0500
>

--
Coersion, after all, merely captures man. Freedom captivates him.

                    Ronald Reagan

LProf (lprofne) wrote :

problem with wi-fi is probably my problem, everything else remains relevant

beaucage (louisbeaucage) wrote :

still a problem with an Asus M50SV, ubuntu 8.04

Daniel T Chen (crimsun) wrote :

@beaucage Please file a separate bug using ubuntu-bug alsa-base

On Nov 9, 2009 4:26 PM, "beaucage" <email address hidden> wrote:

still a problem with an Asus M50SV, ubuntu 8.04

-- headphones on laptop don't mute laptop speakers on Toshiba A120-237
https://bugs.launchpad.net/...

LProf (lprofne) wrote :

Somebody solved this problem on dell vostro (1014,1015,1018)?
 I in despair.

LProf (lprofne) wrote :

Somebody solved this problem on dell vostro (1014,1015,1088)?
 I in despair.

LProf (lprofne) wrote :

about dell vostro 1015 (1014,1088) found a temporary solution. https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/477154

Stefan Wolf (stefwolf) wrote :

Will probably be the same on the newer Vostro series, is anyway on my 1220.

Dulio Samayoa (dulios) wrote :

Same problem on toshiba T135-S1307,
Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

Richard Gagne (gagne-richard) wrote :

Also experimenting the same problem on Toshiba P500 laptop...

bartgenuit (bartgenuit) wrote :

Solved on my machine, with update to Karmic.

Olli-Pekka Korpela (okorpela) wrote :

Still relevant on Lucid. Laptop is MSI M670 with Realtek ALC883.

Mackenzie Morgan (maco.m) wrote :

Olli, you have a different computer. Thus, you have a different bug,
regardless whether symptoms are similar.

sjs889, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-sound needs-upstream-testing

Yes it's still a problem. I ran the apport command but haven't done the
kernel stuff.

On 23/07/12 18:20, Christopher M. Penalver wrote:
> sjs889, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue?
> Can you try with the latest development release of Ubuntu? ISO CD images
> are available from http://cdimage.ubuntu.com/releases/ .
>
> If it remains an issue, could you run the following command in the
> development release from a Terminal
> (Applications->Accessories->Terminal). It will automatically gather and
> attach updated debug information to this report.
>
> apport-collect -p linux <replace-with-bug-number>
>
> Also, if you could test the latest upstream kernel available that would
> be great. It will allow additional upstream developers to examine the
> issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do
> not test the kernel in the daily folder, but the one all the way at the
> bottom. Once you've tested the upstream kernel, please remove the
> 'needs-upstream-testing' tag. This can be done by clicking on the yellow
> pencil icon next to the tag located at the bottom of the bug description
> and deleting the 'needs-upstream-testing' text. As well, please comment
> on which kernel version specifically you tested.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream', and comment
> as to why specifically you were unable to test it.
>
> Please let us know your results. Thanks in advance.
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> ** Tags added: kernel-sound needs-upstream-testing
>
> ** Attachment removed: "lspci"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/137572/+files/infos
>
> ** Attachment removed: "uname"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/140046/+files/uname.log
>
> ** Attachment removed: "lspci-vnn.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/140047/+files/lspci-vnn.log
>
> ** Attachment removed: "lsmod.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/140048/+files/lsmod.log
>
> ** Attachment removed: "dmesggrepACPI.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/140050/+files/dmesggrepACPI.log
>
> ** Attachment removed: "dmesg.log"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/140049/+files/dmesg.log
>
> ** Attachment removed: "sound.txt"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/838932/+files/sound.txt
>
> ** Attachment removed: "uname -a, lspci -v, dmesg"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/115637/+attachment/1187584/+files/audiobug.txt
>

--
Hughie
http://hugle.co.uk

Hugh Carroll, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Hugh Carroll (hughie) wrote :

But this is an old bug isn't it? There were millions of emails about it.

On 06/08/12 13:43, Christopher M. Penalver wrote:
> Hugh Carroll, could you please file a new report by executing the following in a terminal:
> ubuntu-bug linux
>
> For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
> https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
>
> and Ubuntu Community article:
> https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
>
> When opening up the new report, please feel free to subscribe me to it.
> Thank you for your understanding.
>
> Helpful Bug Reporting Links:
> https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
> https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
> https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug
>

--
Hughie
http://hugle.co.uk

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Hugh Carroll (hughie) wrote :

Still not fixed on my acer.

On 06/10/12 05:17, Launchpad Bug Tracker wrote:
> [Expired for linux (Ubuntu) because there has been no activity for 60
> days.]
>
> ** Changed in: linux (Ubuntu)
> Status: Incomplete => Expired
>

--
Hughie
http://hugle.co.uk

Daniel Letzeisen (dtl131) wrote :

@Hugh Carroll: this is an outdated bug for a different laptop. Please open a new bug report specific to your laptop model.

Hugh Carroll (hughie) wrote :

On 06/10/12 16:33, Dave Lentz wrote:
> @Hugh Carroll: this is an outdated bug for a different laptop. Please
> open a new bug report specific to your laptop model.
>

I've been asked to open a new bug twice now. The original one I
submitted is outstanding so it's the same bug.

--
Hughie
http://hugle.co.uk

Daniel Letzeisen (dtl131) wrote :

@Hugh Carroll: unless you have a Toshiba A120-237, then this bug is different. Please open a new bug using ubuntu-bug so that it gathers the information about your ACER.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers